package com.elphel.imagej.tileprocessor;

public class RMSEStats {
	public double max =  0;
	public double sum2 = 0;
	public int num =     0;
	public void add(double rmse) {
		sum2 += rmse*rmse;
		num++;
		max = Math.max(max,  rmse);
	}
	public double getMax() {
		return max;
	}
	public int getNum() {
		return num;
	}
	public double getAverage() {
		return Math.sqrt(sum2/num);
	}
	
}
